Results 1 to 4 of 4

Thread: Want to upgrade ruby on Mac OS X

  1. #1
    Join Date
    Oct 2010
    Posts
    29

    Want to upgrade ruby on Mac OS X

    Ruby is an Object oriented programming (OOP) language and it allows you to create powerful applications in short time and with the help of less code. I am using MacOS with my Apple Macbook. Currently i am using a 1.8.6 version. I want to upgrade my Ruby with latest version. I am searching For it latest version But failed to find it. How can i get it? If anyone have any idea about it then please help me as soon as possible

  2. #2
    Join Date
    Apr 2008
    Posts
    1,948

    re: Want to upgrade ruby on Mac OS X

    You are a using a Ruby 1.8.6 version with your MacOS. The latest stable version of the reference implementation is 1.9.2. So you can upgrade your Ruby 1.8.6 version to 1.9.2 version. Ruby 1.9.2 introduces many important changes over version 1.8.6. Some of the examples are as follows:-

    * Block local variables (variables that are local to the block in which they are declared)
    * An additional lambda syntax (fun = ->(a,b) { puts a + b })
    * Per-string character encodings are supported
    * New socket API (IPv6 support)

  3. #3
    Join Date
    May 2008
    Posts
    2,012

    re: Want to upgrade ruby on Mac OS X

    The newest version Ruby 1.9.2 release for Ruby 1.9 series. Ruby 1.9.2 is mostly compatible with 1.9.1. There is a changes in a 1.9.2 version as compare to 1.9.1 version. Some of following changes done with Ruby version 1.9.2

    * There is a Many new methods in a Ruby version 1.9.2
    * New socket API (enhanced IPv6 support) in a Ruby version 1.9.2
    * New encodings use.
    * Random class which supports various random number generators.
    * Time is reimplemented.
    * some regexp enhancements.
    * $: no longer includes the current directory.
    * dl is reimplemented on top of libffi.
    * new psych library that wraps libyaml.
    * You can use the library instead of syck.

  4. #4
    Join Date
    Apr 2008
    Posts
    2,005

    re: Want to upgrade ruby on Mac OS X

    Ruby 1.9.2 works fine with Debian GNU/ Linux 5.0 on IA32. You will get a better performance of Ruby version 1.9.2 with following operating system.

    * mswin32, x64-mswin64, mingw32
    * MacOS X 10.5 (Intel) and 10.6
    * FreeBSD 6 and later (amd64, IA32)
    * Solaris 10
    * Symbian OS

    Ruby version 1.9.2 also work fine with following operating system:-
    * Other Linux distributions
    * Other versions of MacOS X.
    * cygwin
    * AIX 5
    * Other POSIX-compatible systems
    * BeOS (Haiku)
    Last edited by kelfro; 12-11-2010 at 08:35 AM.

Similar Threads

  1. help on pokemon ruby by using no$gba
    By a7medo in forum Video Games
    Replies: 1
    Last Post: 31-08-2009, 07:34 AM
  2. How to use Ruby application and benefits of ruby application
    By FlayoFish in forum Windows Software
    Replies: 3
    Last Post: 30-07-2009, 11:17 AM
  3. Ruby On Rails vs. ASP.Net
    By FlayoFish in forum Software Development
    Replies: 2
    Last Post: 17-04-2009, 03:18 PM
  4. Ruby - what is it
    By Cyclups in forum Software Development
    Replies: 10
    Last Post: 07-04-2009, 02:12 PM
  5. Ruby vs Python
    By JoeFrat in forum Software Development
    Replies: 10
    Last Post: 02-04-2009, 07:58 PM

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Page generated in 1,675,831,755.41576 seconds with 17 queries